# Option list for the Einstein Toolkit

# Whenever this version string changes, the application is configured
# and rebuilt from scratch
VERSION = thornyflat-2021-02-19

CPP = cpp
CC = gcc
CXX = g++
FPP = cpp
F90 = gfortran

CFLAGS = -g -march=native -std=gnu11
CXXFLAGS = -g -march=native -std=gnu++17
FPPFLAGS = -traditional
F90FLAGS = -g -march=native -fcray-pointer -ffixed-line-length-none

C_LINE_DIRECTIVES = yes
F_LINE_DIRECTIVES = yes

CPP_DEBUG_FLAGS = -DCARPET_DEBUG
C_DEBUG_FLAGS = -fbounds-check -fstack-protector-all -ftrapv
CXX_DEBUG_FLAGS = -fbounds-check -fstack-protector-all -ftrapv
FPP_DEBUG_FLAGS = -DCARPET_DEBUG
F90_DEBUG_FLAGS = -fcheck=bounds,do,mem,pointer,recursion -finit-character=65 -finit-integer=42424242 -finit-real=nan -fstack-protector-all -ftrapv

C_OPTIMISE_FLAGS = -O3 -fcx-limited-range -fexcess-precision=fast -fno-math-errno -fno-rounding-math -fno-signaling-nans -funsafe-math-optimizations
CXX_OPTIMISE_FLAGS = -O3 -fcx-limited-range -fexcess-precision=fast -fno-math-errno -fno-rounding-math -fno-signaling-nans -funsafe-math-optimizations
F90_OPTIMISE_FLAGS = -O3 -fcx-limited-range -fexcess-precision=fast -fno-math-errno -fno-rounding-math -fno-signaling-nans -funsafe-math-optimizations

OPENMP = yes
CPP_OPENMP_FLAGS = -fopenmp
FPP_OPENMP_FLAGS = -D_OPENMP

WARN = yes

VECTORISE = yes
VECTORISE_INLINE = yes

FFTW3_DIR = /opt/modulefiles/production/fftw/3.3.8
HDF5_DIR = /opt/modulefiles/production/hdf5/1.10.7-gcc10.2.0
MPI_DIR = /opt/modulefiles/production/openmpi/3.1.6-gcc10.2.0
OPENBLAS_DIR = /opt/modulefiles/production/openblas/0.3.12-gcc10.2.0
PTHREADS_DIR = NO_BUILD
